Adiel Adiel - 19 days ago 7
Java Question

Eclipse won't run - JVM Terminated, Ubuntu 16.04

Please note:

I've checked other threads -

Cannot run Eclipse; JVM terminated. Exit code=13

Eclipse does not launch (Ubuntu) : JVM terminated. Exit code=13

Which didn't seem to help in my case.

I've installed oracle java 8 package,

java -version
shows:

java version "1.8.0_111"
Java(TM) SE Runtime Environment (build 1.8.0_111-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.111-b14, mixed mode)


Eclipse was installed with 64-bit installer wizard from official website.
When trying to open eclipse i get the following:

JVM terminated. Exit code=13
/usr/lib/jvm/java-8-oracle/bin/java
-Dosgi.requiredJavaVersion=1.8
-XX:+UseG1GC
-XX:+UseStringDeduplication
-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m
-Declipse.p2.max.threads=10
-Doomph.update.url=http://download.eclipse.org/oomph/updates/milestone/latest
-Doomph.redirection.index.redirection=index:/->http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/
-jar /home/adiel/eclipse/cpp-neon/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /home/adiel/eclipse/cpp-neon/eclipse/eclipse
-name Eclipse
--launcher.library /home/adiel/.p2/pool/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160518-1444/eclipse_1617.so
-startup /home/adiel/eclipse/cpp-neon/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
--launcher.appendVmargs
-exitdata 73000a
-product org.eclipse.epp.package.cpp.product
-vm /usr/lib/jvm/java-8-oracle/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.8
-XX:+UseG1GC
-XX:+UseStringDeduplication
-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m
-Declipse.p2.max.threads=10
-Doomph.update.url=http://download.eclipse.org/oomph/updates/milestone/latest
-Doomph.redirection.index.redirection=index:/->http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/
-jar /home/adiel/eclipse/cpp-neon/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar


My eclipse.ini file:

-startup
plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
--launcher.library
/home/adiel/.p2/pool/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160518-1444
-product
org.eclipse.epp.package.cpp.product
--launcher.defaultAction
openFile
-showsplash
org.eclipse.platform
--launcher.appendVmargs
-vm
/usr/lib/jvm/java-8-oracle/bin
-vmargs
-Dosgi.requiredJavaVersion=1.8
-XX:+UseG1GC
-XX:+UseStringDeduplication
-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m
-Declipse.p2.max.threads=10
-Doomph.update.url=http://download.eclipse.org/oomph/updates/milestone/latest
-Doomph.redirection.index.redirection=index:/->http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/


Ubuntu 16.04 LTS . Any suggestions? Thanks

Answer

Solution found.

Removed java-8-install using sudo apt-get purge,

Installed openjdk-8-jdk instead, then reinstalled eclipse package through their installer.

Now eclipse is working.